Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.DesktopPaneActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.DesktopPaneActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.DesktopPaneActions extends Object
Taken from BasicDesktopPaneUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`CLOSE`
`static String`
`DOWN`
`static String`
`ESCAPE`
`static String`
`LEFT`
`static String`
`MAXIMIZE`
`static String`
`MINIMIZE`
`static String`
`MOVE`
`static String`
`NAVIGATE_NEXT`
`static String`
`NAVIGATE_PREVIOUS`
`static String`
`NEXT_FRAME`
`static String`
`PREVIOUS_FRAME`
`static String`
`RESIZE`
`static String`
`RESTORE`
`static String`
`RIGHT`
`static String`
`SHRINK_DOWN`
`static String`
`SHRINK_LEFT`
`static String`
`SHRINK_RIGHT`
`static String`
`SHRINK_UP`
`static String`
`UP`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DesktopPaneActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CLOSE

public static String CLOSE

### ESCAPE

public static String ESCAPE

### MAXIMIZE

public static String MAXIMIZE

### MINIMIZE

public static String MINIMIZE

### MOVE

public static String MOVE

### RESIZE

public static String RESIZE

### RESTORE

public static String RESTORE

### LEFT

public static String LEFT

### RIGHT

public static String RIGHT

### UP

public static String UP

### DOWN

public static String DOWN

### SHRINK_LEFT

public static String SHRINK_LEFT

### SHRINK_RIGHT

public static String SHRINK_RIGHT

### SHRINK_UP

public static String SHRINK_UP

### SHRINK_DOWN

public static String SHRINK_DOWN

### NEXT_FRAME

public static String NEXT_FRAME

### PREVIOUS_FRAME

public static String PREVIOUS_FRAME

### NAVIGATE_NEXT

public static String NAVIGATE_NEXT

### NAVIGATE_PREVIOUS

public static String NAVIGATE_PREVIOUS

## Constructor Details

### DesktopPaneActions

protected DesktopPaneActions()